from django.forms import ModelForm
from models import Sandwich, Ingredient
from django.contrib.auth.models import User
from django import forms


class SandwichForm(ModelForm):
	
	class Meta:
		model = Sandwich
		exclude = ('slug',)


class IngredientForm(ModelForm):

	class Meta:
		model = Ingredient
		exclude = ('slug',)


class NewUserForm(forms.Form):
	first_name = forms.CharField()
	last_name = forms.CharField()
	email = forms.EmailField()
	username = forms.CharField()
	password = forms.CharField(widget=forms.PasswordInput)
	confirm_password = forms.CharField(widget=forms.PasswordInput)
